Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://api.4minds.ai/api/v1/user/inference \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"model_id": 123,
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"thread_id": "<string>",
"enable_web_search": true,
"max_tokens": 123,
"temperature": 123,
"image_generation": true,
"image_parameters": {},
"persona": {},
"base_model": true,
"session_id": "<string>",
"user_id": "<string>",
"tenant_id": "<string>",
"top_k": 123,
"top_p": 123,
"creativity_level": 123,
"factual_precision": 123
}
'import requests
url = "https://api.4minds.ai/api/v1/user/inference"
payload = {
"query": "<string>",
"model_id": 123,
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"thread_id": "<string>",
"enable_web_search": True,
"max_tokens": 123,
"temperature": 123,
"image_generation": True,
"image_parameters": {},
"persona": {},
"base_model": True,
"session_id": "<string>",
"user_id": "<string>",
"tenant_id": "<string>",
"top_k": 123,
"top_p": 123,
"creativity_level": 123,
"factual_precision": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
model_id: 123,
conversation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
thread_id: '<string>',
enable_web_search: true,
max_tokens: 123,
temperature: 123,
image_generation: true,
image_parameters: {},
persona: {},
base_model: true,
session_id: '<string>',
user_id: '<string>',
tenant_id: '<string>',
top_k: 123,
top_p: 123,
creativity_level: 123,
factual_precision: 123
})
};
fetch('https://api.4minds.ai/api/v1/user/inference', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": "",
"conversation_id": "<string>",
"thread_id": "<string>",
"tokens_used": 123,
"latency_ms": 123,
"metadata": {}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Static, non-expiring API key: Authorization: Bearer <FOURMINDS_API_KEY>.
concise, balanced, detailed Server-Sent Events stream of data: {...} chunks, terminated by data: [DONE]. The client assembles the text chunks into a single InferenceResult.
The generated response return signature envelope matching inference queries.
The core text answer generation string payload generated by the model.
The unique identification tracking string if part of a continued conversation.
Thread tracking identifier reference index.